<template>
  <uv-rate 
    v-model="rate"
    size="48rpx" 
    gutter="16rpx" 
    activeIcon="star-fill" 
    inactiveIcon="star-fill" 
    activeColor="#F7BA1E" 
    inactiveColor="#E3E3E3"
    :allowHalf="true" 
    :minCount="0.5" 
    :readonly="readonly"
  ></uv-rate>
</template>

<script>
  export default {
    props: {
			value: {
				default: null
			},
      readonly: {
        type: Boolean,
        default: false
      },
    },
    computed: {
      rate: {
        set(val) {
          this.$emit('input', val)
        },
        get() {
          return this.value
        }
      },
    },
  }
</script>

<style>

</style>